FROM python:3.12.2-alpine3.19

WORKDIR /app

RUN addgroup -g 1000 app && adduser -D -u 1000 -G app app

COPY --chown=app . .

RUN apk update && apk add --no-cache curl
RUN pip install --upgrade pip
RUN pip install gunicorn
RUN pip install marshmallow
RUN pip install flask
RUN pip install pymongo
RUN pip install flask_swagger_ui

EXPOSE 8000

HEALTHCHECK CMD curl --fail http://localhost:8000/healthcheck || exit 1

USER app

ENTRYPOINT ["gunicorn", "--bind", "0.0.0.0:8000", "-w 4", "app:app"]